package task

import (
	"applet/app/task/svc"
	"math/rand"
	"time"
	"xorm.io/xorm"
)

func taskOrderCancel(eg *xorm.Engine, dbName string) {
	for {
		if len(ch) > workerNum {
			time.Sleep(time.Millisecond * time.Duration(rand.Intn(1000)))
		} else {
			goto START
		}
	}
START:
	ch <- 1
	svc.OrderCancel(eg, dbName)
	<-ch
}
